org.appng.xml.platform

## Class Template

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Template

- All Implemented Interfaces:
    Serializable

      public class Template
      extends BaseObject
      implements Serializable

  A Template references a XSL stylesheet, located either in the folder `/xsl` of a appNG-template or of a appNG-application.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `deleteIncludes`
    `protected String` | `outputType`
    `protected String` | `path`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Template()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOutputType()` When defining custom templates in a(n) `Event`/`Action`/`Datasource`, use this attribute to determine the `OutputType` this template should apply to.
    `String` | `getPath()` The path to the template resource, relative to `/xsl` of the appNG-template or -application.
    `String` | `getType()` The type of the template.
    `Boolean` | `isDeleteIncludes()` If set to `true`, possibly existing `<xsl:include>` statements will be removed from the master template.
    `void` | `setDeleteIncludes(Boolean value)` Sets the value of the deleteIncludes property.
    `void` | `setOutputType(String value)` Sets the value of the outputType property.
    `void` | `setPath(String value)` Sets the value of the path property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### path

          protected String path

    - #### outputType

          protected String outputType

    - #### type

          protected String type

    - #### deleteIncludes

          protected Boolean deleteIncludes

  - ### Constructor Detail

    - #### Template

          public Template()

  - ### Method Detail

    - #### getPath

          public String getPath()

      The path to the template resource, relative to `/xsl` of the appNG-template or -application.
      Returns:
        possible object is `String`

    - #### setPath

          public void setPath(String value)

      Sets the value of the path property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOutputType

          public String getOutputType()

      When defining custom templates in a(n) `Event`/`Action`/`Datasource`, use this attribute to determine the `OutputType` this template should apply to. If empty, the template is being applied to any output-type.
      Returns:
        possible object is `String`

    - #### setOutputType

          public void setOutputType(String value)

      Sets the value of the outputType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      The type of the template. Currently, only 'master' is allowed as a value for the master stylesheet of an appNG template.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDeleteIncludes

          public Boolean isDeleteIncludes()

      If set to `true`, possibly existing `<xsl:include>` statements will be removed from the master template.
      Returns:
        possible object is `Boolean`

    - #### setDeleteIncludes

          public void setDeleteIncludes(Boolean value)

      Sets the value of the deleteIncludes property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.